summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/noexec')
-rw-r--r--sys-apps/noexec/Manifest1
-rw-r--r--sys-apps/noexec/metadata.xml10
-rw-r--r--sys-apps/noexec/noexec-1.1.0.ebuild19
3 files changed, 30 insertions, 0 deletions
diff --git a/sys-apps/noexec/Manifest b/sys-apps/noexec/Manifest
new file mode 100644
index 000000000000..ad9f29acc96b
--- /dev/null
+++ b/sys-apps/noexec/Manifest
@@ -0,0 +1 @@
+DIST noexec-1.1.0.tar.gz 157097 SHA256 452744d3221cefe15b7d22560526d611923ad13fbfc1796486c3af37d8d09a51
diff --git a/sys-apps/noexec/metadata.xml b/sys-apps/noexec/metadata.xml
new file mode 100644
index 000000000000..3c9f4a4bc12b
--- /dev/null
+++ b/sys-apps/noexec/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">noexec</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-apps/noexec/noexec-1.1.0.ebuild b/sys-apps/noexec/noexec-1.1.0.ebuild
new file mode 100644
index 000000000000..197fa74336ab
--- /dev/null
+++ b/sys-apps/noexec/noexec-1.1.0.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="a package for preventing processes from using exec system calls"
+HOMEPAGE="http://noexec.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ppc x86"
+IUSE=""
+
+DEPEND=">=sys-libs/glibc-2.3.2-r9"
+
+src_install() {
+ make install DESTDIR=${D} || die "installation failed"
+ dodoc AUTHORS BUGS ChangeLog NEWS README
+}